patchlwIP - A Lightweight TCP/IP stack - Patches: patch #4688, Unwarranted #include's in...

 
 

You are not allowed to post comments on this tracker with your current authentication level.

patch #4688: Unwarranted #include's in api/sockets.c

Submitted by:  None
Submitted on:  Thu 08 Dec 2005 09:27:43 AM UTC  
 
Category:  None Priority:  5 - Normal
Status:  Invalid Privacy:  Public
Assigned to:  None Originator Email:  -email is unavailable-
Open/Closed:  Closed Planned Release:  None

Wed 14 Jun 2006 08:52:27 AM UTC, comment #1: 

Rejected patch. Includes are required, memcpy and errno are used.

Christiaan Simons <christiaans>
Project Member
Thu 08 Dec 2005 09:27:43 AM UTC, original submission:  

api/sockets.c seems to assume that string.h and errno.h exist on the target system, which isn't always the case.  Luckily, they don't actually seem to need anything from those headers that isn't already defined elsewhere..

--- sockets.c   9 Nov 2004 11:44:06 -0000       1.25
+++ sockets.c   8 Dec 2005 09:26:03 -0000
@@ -32,9 +32,6 @@
  *
  */

-#include <string.h>
-#include <errno.h>
-
 #include "lwip/opt.h"
 #include "lwip/api.h"
 #include "lwip/arch.h"

Anonymous

 

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

CC list is empty

 

Do you think this task is very important?
If so, you can add your encouragement to it.
This task has 0 encouragements so far.

Only logged-in users can vote.

 

 

 

Follow 2 latest changes.

Date Changed by Updated Field Previous Value => Replaced by
2006-06-14 christiaans StatusNone => Invalid
    Open/ClosedOpen => Closed

Back to the top


Powered by Savane 3.5